[**brk-client**](../README.md)

***

[brk-client](../globals.md) / UrpdQuery

# Interface: UrpdQuery

Defined in: [Developer/brk/modules/brk-client/index.js:1418](https://github.com/bitcoinresearchkit/brk/blob/f363f65275d140f73b1a471070edcc576fd24a17/modules/brk-client/index.js#L1418)

## Properties

### agg?

> `optional` **agg?**: [`UrpdAggregation`](../type-aliases/UrpdAggregation.md)

Defined in: [Developer/brk/modules/brk-client/index.js:1419](https://github.com/bitcoinresearchkit/brk/blob/f363f65275d140f73b1a471070edcc576fd24a17/modules/brk-client/index.js#L1419)

Aggregation strategy. Default: raw (no aggregation). Accepts `bucket` as alias.

***

### weight?

> `optional` **weight?**: [`UrpdWeight`](../type-aliases/UrpdWeight.md)

Defined in: [Developer/brk/modules/brk-client/index.js:1420](https://github.com/bitcoinresearchkit/brk/blob/f363f65275d140f73b1a471070edcc576fd24a17/modules/brk-client/index.js#L1420)

Supply weighting. Default: raw (unweighted).
